Skip to main content
PATCH
/
stores
/
{storeId}
/
affiliates
/
{customerId}
/
payouts
/
{payoutId}
Void (cancel) a previously recorded affiliate payout (by payoutId).
curl --request PATCH \
  --url https://api.komerza.com/stores/{storeId}/affiliates/{customerId}/payouts/{payoutId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "reason": "<string>"
}
'
{
  "success": true,
  "message": "<string>",
  "code": "<string>",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "dateCreated": "2023-11-07T05:31:56Z",
    "customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "affiliateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "amount": 123,
    "convertedToStoreCredit": true,
    "initiatedByIp": "<string>",
    "isVoided": true,
    "comment": "<string>",
    "initiatedByUserId": "<string>",
    "voidDate": "2023-11-07T05:31:56Z",
    "voidedByUserId": "<string>",
    "voidReason": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Your API key goes here

Path Parameters

storeId
string<uuid>
required
customerId
string<uuid>
required
payoutId
string<uuid>
required

Body

application/json

Form used by an admin to void (cancel) an existing affiliate payout.

reason
string
required

A non‐empty reason describing why this payout was voided.

Required string length: 1 - 256

Response

The object was successfully updated.

Represents a default generic response for API endpoints.

success
boolean
required

Indicates whether the operation or response was successful.

message
string | null

A descriptive message providing additional context or information about the response.

code
string | null

The error code (if there was an error) to use when referencing the error

data
object

A record of an affiliate’s earnings being paid out (e.g., converted into store credit).